# Class: fulljavastackwithtomcat:java
# ===========================
# Installs Java
#
# Authors
# -------
# Sudheer Veeravalli <veersudhir83@gmail.com>
#
# Copyright
# ---------
# Copyright 2017 Sudheer Veeravalli

class fulljavastackwithtomcat::java {

  if $facts['osfamily'] == 'Debian' {

    # Needed for update-java-alternatives
    package { 'java-common':
      ensure => present,
      notify => Exec['installJava'],
    }

    exec { 'installJava':
      path    => '/bin:/usr/sbin:/usr/bin:/sbin',
      command => 'add-apt-repository -y ppa:openjdk-r/ppa && apt-get update && apt-get install -y openjdk-8-jdk',
      user    => 'root',
    }
  }
}
